<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_1136b531" . "f76a618ca" . "bf8599f43" . "b2a8c9" => base64_decode("aGVscGRlc2sucHJvamVjdC5zdGF0dXNfdG" . "VzdGluZw=="), "_abc92ea12f6427" . "cd462421d64fa56" . "17f" => base64_decode("LVVua25v" . "d24t"), "_50f3d86f340336be6" . "72ef20f6b0f501c" => base64_decode("YmxvY2tl" . "ZA=="), "_49c6565477ee9f82" . "2b499a53e6d2995f" => base64_decode("YXJyYX" . "lfa2V5" . "X2V4aX" . "N0cw=="), "_3f7951e8c3bbc7d8ebfdb62a955de0" . "f6" => base64_decode("dGVzdGluZw=" . "="), "activ" . "e" => base64_decode("YWN0a" . "XZl"), "_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5" => base64_decode("aW5fYXJ" . "yYXk="), "_822680520327e9387ae" . "2d5c065ea52e1" => base64_decode("YXJyYXlfZmxpc" . "A=="), "_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14" => base64_decode("aXNfbnVsbA=" . "="), "_ed0a92347cd909e44675776" . "b13d6b3af" => base64_decode("aGVscGRlc2su" . "cHJvamVjdC5z" . "dGF0dXNfYWN0" . "aXZl"), "_74e38f6cf25f23337eeae4cf5" . "2eee3f4" => base64_decode("aGVscGRlc2sucHJvamV" . "jdC5zdGF0dXNfYmxvY2" . "tlZA=="), "_e08ee4e" . "ab8406b7" . "6b837331" . "8268d3b3" . "5" => base64_decode("dW5rbm9" . "3bg=="));




class ICProjectStatus
{
    
    
    
    
    
    
    protected static $all = null;
    
    
    
    
    
    
    protected static $rest = null;
    protected static function Init() : void
    {
        $lmsg = \Claromentis\Core\Services::I()->lmsg;
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a591754a8ddcdbda9c80f1db4d" . "911e14"](self::$all)) {
            self::$all = array(HD_PROJECT_ACTIVE => $lmsg($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ed0a92347cd909e44675776b13d6b3a" . "f"]), HD_PROJECT_TESTING => $lmsg($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_1136b531f76a618ca" . "bf8599f43b2a8c9"]), HD_PROJECT_BLOCKED => $lmsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_74e38f6cf25f23337eeae4cf52eee" . "3f4"]));
        }
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_a591754a8ddcdbda9c80f1db4d" . "911e14"](self::$rest)) {
            self::$rest = [HD_PROJECT_BLOCKED => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_50f3d86f340336be672" . "ef20f6b0f501c"], HD_PROJECT_ACTIVE => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["act" . "ive"], HD_PROJECT_TESTING => $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3f7951e8c3bbc7d8ebfdb62a" . "955de0f6"]];
        }
    }
    public static function GetAll() : array
    {
        self::Init();
        return self::$all;
    }
    public static function GetAllRest() : array
    {
        self::Init();
        return self::$rest;
    }
    public static function GetName($status) : string
    {
        self::Init();
        return self::$all[$status] ?? $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_abc92ea12f6427" . "cd462421d64fa56" . "17f"];
    }
    public static function GetRestName($status) : string
    {
        self::Init();
        return self::$rest[$status] ?? $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_e08ee4eab8406b76b8373318268d3b3" . "5"];
    }
    public static function FromRestName($_f7bd13ad0005434f6d6cc7b0a0c078d4) : ?int
    {
        self::Init();
        $_631ec41f278f45da4f2591ca70c72e0f = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_822680520327e9387ae2d5c06" . "5ea52e1"](self::$rest);
        return $_631ec41f278f45da4f2591ca70c72e0f[$_f7bd13ad0005434f6d6cc7b0a0c078d4] ?? null;
    }
    public static function IsValid(int $status) : bool
    {
        self::Init();
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_49c6565477ee9f822b499a53" . "e6d2995f"]($status, self::$all);
    }
    public static function IsValidRest(string $status) : bool
    {
        self::Init();
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_bd71c3b5c201fc11db82ed14ce424de" . "5"]($status, self::$rest);
    }
}